Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis.type.basic
Class BeanTypeInfo

    java.lang.Object
      org.codehaus.xfire.aegis.type.basic.BeanTypeInfo

Direct Known Subclasses:
  AnnotatedTypeInfo, XMLBeanTypeInfo

    public class BeanTypeInfo

extends java.lang.Object

Constructor Summary
`BeanTypeInfo(java.lang.Class typeClass)`
`BeanTypeInfo(java.lang.Class typeClass, boolean initialize)` Create a BeanTypeInfo class.

Method Summary
`protected java.lang.String` | `createMappedName(java.beans.PropertyDescriptor desc)` Specifies the name of the property as it shows up in the xml schema.
`java.util.Iterator` | `getAttributes()`
`java.util.Iterator` | `getElements()`
`protected java.beans.PropertyDescriptor` | `getPropertyDescriptor(java.lang.String name)`
`java.beans.PropertyDescriptor` | `getPropertyDescriptorFromMappedName(java.lang.String name)`
`protected java.beans.PropertyDescriptor[]` | `getPropertyDescriptors()`
`Type` | `getType(java.lang.String name)` Get the type class for the field with the specified QName.
`protected java.lang.Class` | `getTypeClass()`
`TypeMapping` | `getTypeMapping()`
`void` | `initialize()`
`protected boolean` | `isAttribute(java.beans.PropertyDescriptor desc)`
`protected boolean` | `isElement(java.beans.PropertyDescriptor desc)`
`boolean` | `isInitialized()`
`boolean` | `isNillable(java.lang.String name)`
`protected boolean` | `isSerializable(java.beans.PropertyDescriptor desc)`
`void` | `mapAttribute(java.lang.String property, java.lang.String mappedName)`
`void` | `mapElement(java.lang.String property, java.lang.String mappedName)`
`protected void` | `mapProperty(java.beans.PropertyDescriptor pd)`
`void` | `mapType(java.lang.String name, Type type)`
`void` | `mapTypeName(java.lang.String mappedName, javax.xml.namespace.QName type)` Specifies the SchemaType for a particular class.
`void` | `setTypeMapping(TypeMapping typeMapping)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanTypeInfo

    public BeanTypeInfo(java.lang.Class typeClass)

### BeanTypeInfo

    public BeanTypeInfo(java.lang.Class typeClass,
                        boolean initialize)

  Create a BeanTypeInfo class.

  Parameters:
    `typeClass` -
    `defaultNamespace` -
    `initiallize` - If true attempt default property/xml mappings.

Method Detail

### initialize

    public void initialize()

### isInitialized

    public boolean isInitialized()

### mapProperty

    protected void mapProperty(java.beans.PropertyDescriptor pd)

### getPropertyDescriptors

    protected java.beans.PropertyDescriptor[] getPropertyDescriptors()

### getPropertyDescriptor

    protected java.beans.PropertyDescriptor getPropertyDescriptor(java.lang.String name)

### getType

    public Type getType(java.lang.String name)

  Get the type class for the field with the specified QName.

### mapType

    public void mapType(java.lang.String name,
                        Type type)

### getTypeMapping

    public TypeMapping getTypeMapping()

### setTypeMapping

    public void setTypeMapping(TypeMapping typeMapping)

### createMappedName

    protected java.lang.String createMappedName(java.beans.PropertyDescriptor desc)

  Specifies the name of the property as it shows up in the xml schema. This method just returns `propertyDescriptor.getName();`

  Parameters:
    `desc` -
  Returns:

### mapAttribute

    public void mapAttribute(java.lang.String property,
                             java.lang.String mappedName)

### mapElement

    public void mapElement(java.lang.String property,
                           java.lang.String mappedName)

### mapTypeName

    public void mapTypeName(java.lang.String mappedName,
                            javax.xml.namespace.QName type)

  Specifies the SchemaType for a particular class.

  Parameters:
    `mappedName` -
    `type` -

### getPropertyDescriptorFromMappedName

    public java.beans.PropertyDescriptor getPropertyDescriptorFromMappedName(java.lang.String name)

### isAttribute

    protected boolean isAttribute(java.beans.PropertyDescriptor desc)

### isElement

    protected boolean isElement(java.beans.PropertyDescriptor desc)

### isSerializable

    protected boolean isSerializable(java.beans.PropertyDescriptor desc)

### getTypeClass

    protected java.lang.Class getTypeClass()

### isNillable

    public boolean isNillable(java.lang.String name)

### getAttributes

    public java.util.Iterator getAttributes()

### getElements

    public java.util.Iterator getElements()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.